Multi-Signature Token Transfer

Transfers asset tokens through a multi-signature contract.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Process Overview

  1. Create a Multi-Signature Proposal:
    Create Multi Sig Proposal

    • First, call the Create Multi-Signature Proposal API to generate a proposal record.
    • Set the type as "Transfer" and provide the following details:
      • id (the multi sig contract id which is the owner of the token)
      • data (the destination wallet address where tokens will be sent)
      • amount (the number of tokens to mint)
      • assetContractId (the contract ID of the asset to be minted)
  2. Use the Proposal Reference:

    • Save the _id from the created proposal record.
    • Pass this _id as referenceId when calling the Multi-Signature Tokens Transfer API to send the request.
  3. Sign and Send the Transaction:

    • Use the transaction data rawTransaction from the Multi Sig Token Transfer API response.
    • Sign the transaction using your private keys or wallet.
    • Broadcast the signed transaction to the network for execution.
Body Params
number
required

ID of the blockchain network

string
required

Wallet address initiating the transfer

string
required

Recipient wallet address

number
required

Amount of tokens to transfer

string
required

Address of the Token contract

string
required

Address of the MultiSig contract

string
required

ID of the Proposal Created in the DB

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json